lz4 fails to run the tests on s390x (glibc-2.23 related?)

Bug #1571403 reported by Matthias Klose on 2016-04-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
glibc (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
lz4 (Ubuntu)
High
Unassigned
Xenial
High
Unassigned

Bug Description

seen in the test rebuild:

https://launchpad.net/ubuntu/+archive/test-rebuild-20160401/+build/9483622

60658
60679
60698
60724 *** Error in `./fuzzer': double free or corruption (!prev): 0x000002aa181a4090 ***
======= Backtrace: =========
/lib/s390x-linux-gnu/libc.so.6(+0x791ba)[0x3ffaf7791ba]
/lib/s390x-linux-gnu/libc.so.6(+0x7f62e)[0x3ffaf77f62e]
/lib/s390x-linux-gnu/libc.so.6(+0x80010)[0x3ffaf780010]
./fuzzer(+0xed86)[0x2aa1490ed86]
./fuzzer(main+0x15c)[0x2aa14900e84]
/lib/s390x-linux-gnu/libc.so.6(__libc_start_main+0x10e)[0x3ffaf722ece]
./fuzzer(+0x145c)[0x2aa1490145c]
======= Memory map: ========
2aa14900000-2aa14914000 r-xp 00000000 fc:00 1443097 /<<PKGBUILDDIR>>/programs/fuzzer
2aa14914000-2aa14915000 r--p 00013000 fc:00 1443097 /<<PKGBUILDDIR>>/programs/fuzzer
2aa14915000-2aa14916000 rw-p 00014000 fc:00 1443097 /<<PKGBUILDDIR>>/programs/fuzzer
2aa1815f000-2aa1820d000 rw-p 00000000 00:00 0 [heap]
3ffa8000000-3ffa8021000 rw-p 00000000 00:00 0
3ffa8021000-3ffac000000 ---p 00000000 00:00 0
3ffaf680000-3ffaf690000 r-xp 00000000 fc:00 1180835 /lib/s390x-linux-gnu/libgcc_s.so.1
3ffaf690000-3ffaf691000 rw-p 0000f000 fc:00 1180835 /lib/s390x-linux-gnu/libgcc_s.so.1
3ffaf700000-3ffaf885000 r-xp 00000000 fc:00 1183401 /lib/s390x-linux-gnu/libc-2.23.so
3ffaf885000-3ffaf889000 r--p 00184000 fc:00 1183401 /lib/s390x-linux-gnu/libc-2.23.so
3ffaf889000-3ffaf88b000 rw-p 00188000 fc:00 1183401 /lib/s390x-linux-gnu/libc-2.23.so
3ffaf88b000-3ffaf88f000 rw-p 00000000 00:00 0
3ffaf980000-3ffaf9a4000 r-xp 00000000 fc:00 1183402 /lib/s390x-linux-gnu/ld-2.23.so
3ffaf9a4000-3ffaf9a5000 r--p 00023000 fc:00 1183402 /lib/s390x-linux-gnu/ld-2.23.so
3ffaf9a5000-3ffaf9a7000 rw-p 00024000 fc:00 1183402 /lib/s390x-linux-gnu/ld-2.23.so
3ffaf9f5000-3ffaf9fe000 rw-p 00000000 00:00 0
3ffaf9fe000-3ffafa00000 r-xp 00000000 00:00 0 [vdso]
3ffefabc000-3ffefb80000 rw-p 00000000 00:00 0 [stack]
All unit tests completed successfully

  60747 / 60747 - all tests completed successfully
compression ratio: 55.197%
HC compression ratio: 51.173%
ratio with dict: 44.457%
Makefile:277: recipe for target 'test-fuzzer' failed
make[3]: *** [test-fuzzer] Aborted
make[3]: Leaving directory '/<<PKGBUILDDIR>>/programs'
Makefile:98: recipe for target 'test' failed
make[2]: *** [test] Error 2

Matthias Klose (doko) on 2016-04-17
Changed in glibc (Ubuntu Xenial):
importance: Undecided → High
milestone: none → ubuntu-16.04
Matthias Klose (doko) wrote :

now builds again. seems to depend on the seed value for the fuzzer.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lz4 - 0.0~r131-2ubuntu2

---------------
lz4 (0.0~r131-2ubuntu2) xenial; urgency=medium

  * Don't use profile guided optimization for the build.

 -- Matthias Klose <email address hidden> Mon, 18 Apr 2016 11:33:00 +0200

Changed in lz4 (Ubuntu Xenial):
status: Confirmed → Fix Released
Matthias Klose (doko) on 2016-04-18
Changed in lz4 (Ubuntu Xenial):
status: Fix Released → Confirmed
Changed in glibc (Ubuntu):
milestone: ubuntu-16.04 → none
Changed in lz4 (Ubuntu):
milestone: ubuntu-16.04 → none
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lz4 - 1.8.2-1ubuntu1

---------------
lz4 (1.8.2-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build using -O3 by default; this papers over a test suite failure
      with -O2 on s390x. See LP: #1571403.
  * Fix 0002-Fix-static-link.patch to export LD_LIBRARY_PATH in
    examples.
  * Build verbosely (with V=1)

lz4 (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/watch file.
  * Update debian/liblz4-1.symbols.
    Add APIs following:
      - LZ4_attach_HC_dictionary@Base
      - LZ4_attach_dictionary@Base
      - LZ4_compress_fast_extState_fastReset@Base
      - LZ4_decoderRingBufferSize@Base
      - LZ4_resetStream_fast@Base

lz4 (1.8.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update static link problem fix.
    In this fix, add LZ4F_PUBLISH_STATIC_FUNCTIONS to compile option.
    This makes the following API available for reference to the library.
      - LZ4F_compressBegin_usingCDict@Base
      - LZ4F_compressFrame_usingCDict@Base
      - LZ4F_createCDict@Base
      - LZ4F_decompress_usingDict@Base
      - LZ4F_freeCDict@Base
      - LZ4F_getErrorCode@Base

lz4 (1.8.0-5) unstable; urgency=medium

  * Upload to unstable.

lz4 (1.8.0-4) experimental; urgency=medium

  * Add liblz4-tool transitional package (Closes: #894279)

lz4 (1.8.0-3) experimental; urgency=medium

  * Change package name to liblz4-1.
    Do not need to change SONAME, so revert it.

lz4 (1.8.0-2) experimental; urgency=medium

  * Change package name to liblz4-1a.
    From 1.8.0, lz4 removed some API in 1.8.0, but upstream dose not bump
    the SONAME. We changed to -1a to maintain compatibility.
  * Fix Static link. (#882974)
  * Update debian/copyright.
    - Fix insecure copyright format URI.
    - Update copyright information.
  * Update Vcs-Browser and Vcs-Git to use salsa.

lz4 (1.8.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #860168, #821740)
  * Bump Standards-Version to 4.1.0.
  * Remove patches/ignore_rm_fail.patch.
  * Update symbols file.
  * Rename liblz4-tool to lz4. (Closes: #781234)
  * Change Priority to optional. (Closes: #816620)

lz4 (1.7.5-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Update symbols file.
  * Add patches/ignore_rm_fail.patch.

 -- Julian Andres Klode <email address hidden> Mon, 28 May 2018 11:20:12 +0200

Changed in lz4 (Ubuntu):
status: Confirmed → Fix Released
Download full text (5.8 KiB)

Thanks for the update.

On Thu, Jun 21, 2018 at 6:45 AM Launchpad Bug Tracker <
<email address hidden>> wrote:

> This bug was fixed in the package lz4 - 1.8.2-1ubuntu1
>
> ---------------
> lz4 (1.8.2-1ubuntu1) cosmic; urgency=low
>
> * Merge from Debian unstable. Remaining changes:
> - Build using -O3 by default; this papers over a test suite failure
> with -O2 on s390x. See LP: #1571403.
> * Fix 0002-Fix-static-link.patch to export LD_LIBRARY_PATH in
> examples.
> * Build verbosely (with V=1)
>
> lz4 (1.8.2-1) unstable; urgency=medium
>
> * New upstream release.
> * Add debian/watch file.
> * Update debian/liblz4-1.symbols.
> Add APIs following:
> - LZ4_attach_HC_dictionary@Base
> - LZ4_attach_dictionary@Base
> - LZ4_compress_fast_extState_fastReset@Base
> - LZ4_decoderRingBufferSize@Base
> - LZ4_resetStream_fast@Base
>
> lz4 (1.8.1.2-1) unstable; urgency=medium
>
> * New upstream release.
> * Update static link problem fix.
> In this fix, add LZ4F_PUBLISH_STATIC_FUNCTIONS to compile option.
> This makes the following API available for reference to the library.
> - LZ4F_compressBegin_usingCDict@Base
> - LZ4F_compressFrame_usingCDict@Base
> - LZ4F_createCDict@Base
> - LZ4F_decompress_usingDict@Base
> - LZ4F_freeCDict@Base
> - LZ4F_getErrorCode@Base
>
> lz4 (1.8.0-5) unstable; urgency=medium
>
> * Upload to unstable.
>
> lz4 (1.8.0-4) experimental; urgency=medium
>
> * Add liblz4-tool transitional package (Closes: #894279)
>
> lz4 (1.8.0-3) experimental; urgency=medium
>
> * Change package name to liblz4-1.
> Do not need to change SONAME, so revert it.
>
> lz4 (1.8.0-2) experimental; urgency=medium
>
> * Change package name to liblz4-1a.
> From 1.8.0, lz4 removed some API in 1.8.0, but upstream dose not bump
> the SONAME. We changed to -1a to maintain compatibility.
> * Fix Static link. (#882974)
> * Update debian/copyright.
> - Fix insecure copyright format URI.
> - Update copyright information.
> * Update Vcs-Browser and Vcs-Git to use salsa.
>
> lz4 (1.8.0-1) experimental; urgency=medium
>
> * New upstream release. (Closes: #860168, #821740)
> * Bump Standards-Version to 4.1.0.
> * Remove patches/ignore_rm_fail.patch.
> * Update symbols file.
> * Rename liblz4-tool to lz4. (Closes: #781234)
> * Change Priority to optional. (Closes: #816620)
>
> lz4 (1.7.5-1) UNRELEASED; urgency=medium
>
> * New upstream release.
> * Bump Standards-Version to 3.9.8.
> * Update symbols file.
> * Add patches/ignore_rm_fail.patch.
>
> -- Julian Andres Klode <email address hidden> Mon, 28 May 2018 11:20:12
> +0200
>
> ** Changed in: lz4 (Ubuntu)
> Status: Confirmed => Fix Released
>
> --
> You received this bug notification because you are subscribed to Ubuntu
> ubuntu-16.04.
> Matching subscriptions: <email address hidden>
> https://bugs.launchpad.net/bugs/1571403
>
> Title:
> lz4 fails to run the tests on s390x (glibc-2.23 related?)
>
> Status in glibc package in Ubuntu:
> New
> Status in lz4 package in Ubuntu:
> Fix Released
> Status in glibc source package in Xenial:
> New
> ...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers